stages:          # List of stages for jobs, and their order of execution
  - deploy
  - notify

deploy-job:
  stage: deploy
  script:
    - aws --version
    - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    - aws configure set region $AWS_DEFAULT_REGION
    - aws configure set aws_session_token $AWS_SESSION_TOKEN
    - aws s3 cp --recursive ./ s3://jenforms

notify-job:
  stage: notify
  script:
    - aws --version
    - aws configure set aws_access_key_id $AWS_ACCESS_KEY_ID
    - aws configure set aws_secret_access_key $AWS_SECRET_ACCESS_KEY
    - aws configure set region $AWS_DEFAULT_REGION
    - aws configure set aws_session_token $AWS_SESSION_TOKEN
    - aws sns publish --topic-arn $SNS_ARN --message "Updated JenForms' Website!"